require 'studio_game/berserk_player'

module StudioGame
  describe BerserkPlayer do
    before do
      $stdout = StringIO.new
      @player = StudioGame::BerserkPlayer.new("TCG Cid", 100)
    end

    it "does not get berserk when w00ted for 5 times" do
      5.times do
        @player.w00t
      end

      expect(@player).not_to be_berserk
    end

    it "get berserk after w00ted more than 5 times" do
      6.times do
        @player.w00t
      end

      expect(@player).to be_berserk

    end



    it "get into berserk mode after being w00ted more than 5 times, whenever you blammed it, it will be wooted instead" do
      6.times do 
        @player.w00t
      end

      expect(@player).to be_berserk

      2.times do
        @player.blam
      end

      expect(@player.health).to eq(220)

    end

  end

end